<?php
/**
 * @file
 * Configuration of the Node Links.
 */

class PrepopulateCreateNodeLinksInstanceBehavior extends EntityReference_BehaviorHandler_Abstract {

  /**
   * Generate a settings form for this handler.
   */
  public function settingsForm($field, $instance) {
    $options = array();

    foreach ($field['settings']['handler_settings']['target_bundles'] as $content_type) {
      $options[] = t(node_type_get_name($content_type));
    }

    $form['content_types'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Content Types'),
      '#options' => drupal_map_assoc($options),
      '#description' => t('Select the content types that will have create links for this type.'),
    );

    return $form;
  }
}
